oracle.pgx.config

## Class AbstractPgxConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.AbstractPgxConfig

- Direct Known Subclasses:
    PgxConfig

      public abstract class AbstractPgxConfig
      extends AbstractConfig

  In-memory representation of a PGX config.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPgxConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PgxConfig` | `get()`
    `static Map<PgxConfig.Field,Object>` | `getConfigValues()`
    `static void` | `init(InputStream is, File parent)` initialize the server config from an input stream specified by parameter.
    `static boolean` | `isInitialized()`
    `static void` | `reset()` debugging only!
    `static boolean` | `strict()`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPgxConfig

          public AbstractPgxConfig()

  - ### Method Detail

    - #### get

          public static PgxConfig get()

    - #### getConfigValues

          public static Map<PgxConfig.Field,Object> getConfigValues()

      Returns:
        the config values of the currently set PGX config
      Throws:
        `IllegalStateException` - if `isInitialized()` is `false`

    - #### init

          public static void init(InputStream is,
                  File parent)
                           throws IOException

      initialize the server config from an input stream specified by parameter. If any configuration entry is missing, the default as specified in `PgxConfig.Field` will be used
      Parameters:
        `is` -
      Throws:
        `IOException`

    - #### isInitialized

          public static boolean isInitialized()

    - #### reset

          public static void reset()

      debugging only!

    - #### strict

          public static boolean strict()

Copyright © 2015. All rights reserved.